module jhsn_cntr(
  input            clk,
  input            reset_n,
  input            enable,
  output reg [3:0] q_out
  );
  always_ff @ (posedge clk, negedge reset_n)
   if(~reset_n)  
     q_out <= '0;
   else if(enable) begin
     q_out[0] <= ~q_out[3];
     q_out[1] <=  q_out[0];
     q_out[2] <=  q_out[1];
     q_out[3] <=  q_out[2];
  end
endmodule

